Paste clause references
curl --request POST \
--url https://app.myhero.so/clause-reference/paste \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldToNewClauseReferenceIds": {},
"documentId": "<string>"
}
'import requests
url = "https://app.myhero.so/clause-reference/paste"
payload = {
"oldToNewClauseReferenceIds": {},
"documentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({oldToNewClauseReferenceIds: {}, documentId: '<string>'})
};
fetch('https://app.myhero.so/clause-reference/paste', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "<string>",
"blockId": "<string>",
"documentId": "<string>",
"workspaceId": "<string>",
"hierarchy": "<string>",
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"isDeleted": false
}
],
"version": 1
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Clauses
Paste clause references
Duplicates clause references during a paste operation by mapping old reference IDs to new IDs supplied in oldToNewClauseReferenceIds.
Verifies read access to all source documents and edit access to the destination documentId.
Returns the newly created ClauseReference array.
POST
/
clause-reference
/
paste
Paste clause references
Authorizations
HERO personal access token
Body
application/json
⌘I